Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Set Object Lock

Apply a governance retention to one object version, overriding the bucket default. Without bypass rights a retention period can only be extended, never shortened.

PUT/datasets/{Dataset_Id}/objects/lock/

Path parameters

  • Dataset_IdPathintegeroptional

    dataset id

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

object
object_namestringrequired

Object path within the bucket, without the bucket name.

exampletrain/images/example.png
version_idstringrequired

Version of the object to lock.

example7e1a9f0c-0f6f-4a2a-9f1e-2b7c1d4e5a6b
lock_modestringrequiredGOVERNANCE
exampleGOVERNANCE
retention_periodintegerrequired

Number of days this version is retained for.

example30

Responses

No documented responses.